UPI Autopay - Mandate Presentation Callback

This callback is triggered by Decentro to the platform when a debit request is executed

Overview

Decentro triggers this callback to a pre-configured endpoint after a mandate is executed using the Execute Mandate API. The status of the debit itself could be success or failure.

The platform can have the callback endpoints whitelisted by dropping a mail to [email protected].

Flow

Below is the flow for using this callback.

  • The platform presents the mandate using the Execute Mandate API.
  • Decentro presents the same to its bank partner and the funds might be debited from the payer's bank account mapped to the VPA against which the mandate is registered.
  • Decentro triggers this callback to the configured endpoints of the platform as soon as a terminal status (Success/Failure) is received
  • The platform can alternatively check the satus of the debit using the Get Mandate Execution Status API.

Decentro triggers the callback for the below scenarios.

  • Successful execution and the funds being debited from the payer's bank account
  • Unsuccessful execution and the funds not being debited from the payer's bank account

API Endpoints

Below are the API endpoints that can be configured by Decentro for receiving the callbacks.

EnvironmentEndpoint
Staging / Sandboxhttps://your.custom.endpoint.com
Productionhttps://your.custom.endpoint.com
Body Params
string

Debit status of the presentation

string

Description of the debit status of the presentation. Failure reason will be found here

string

The presentation sequence ID of the presentation cycle

int32

The number of retry attempts pending for a failed presentation attempt in a given presentation cycle. Max retries: 9

string

The user authentication timestamp of presentation collect request in case amount is more than the threshold.

string

The decentro Txn ID of the presentation

int32

The number of times the callback is attempted

string

Callback ID provided by Decentro

string
required

The URN of the entity against which the mandate was registered.

string

The timestamp of the callback

string

Original Callback ID. Shared in case of retries only

string
required

The reference ID passed by the platform at the time of Presentation API. For instant presentations, Reference ID will be mapped to Create Mandate APIs reference_id

string

Reference number for the presentation

string

The NPCI txn ID of the presentation.

string

UPI handle against which the funds are deducted.

string

Unique decentro mandate ID assigned for each mandate.

double

Mandate registration amount

string

Amount rule as defined at the time of registration

string

Payer name against whom the mandate is registered

string

The Name of the of the sub-merchant onboarded account

date

Next debit date. Applicable if frequency is not ASPRESENTED

string

Name of the mandate holder as passed during registration

string

Mandate registration frequency

date

Mandate start date

date

Mandate end date

presentation_summary
object

Summary of presentation counts

string

The rule type of the mandate as passed during registration

boolean

Blocking the funds during the debit presentation. Only true to selceted merchants.

string

The flag denotes whether the end user will be able to revoke a mandate.

string

The last action performed on the mandate. Example: CREATE, UPDATE, PAUSE

string

The timestamp when the last action of performed on the mandate.

string
Defaults to error_at_remitter_bank

Presentation failure reason bucketing.

string

NPCI error code & reason for failure

Headers
string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json